config/routes.rb
Rails.application.routes.draw do
  root 'cars#index'
  # Define your application routes per the DSL in https://guides.rubyonrails.org/routing.html

  # Defines the root path route ("/")
  # root "articles#index"
  resources :cars, only: [:index, :show]
  resources :locales, only: :update
end

app/models/application_record.rb
class ApplicationRecord < ActiveRecord::Base
  primary_abstract_class
end

app/models/car.rb
class Car < ApplicationRecord
end

app/controllers/application_controller.rb
class ApplicationController < ActionController::Base
end

app/controllers/cars_controller.rb
class CarsController < ApplicationController
  def index
    @cars = Car.all
  end

  def show
    @car = Car.find(params[:id])
  end
end

app/controllers/locales_controller.rb
class LocalesController < ApplicationController
  def update
    I18n.default_locale = params[:id]

    redirect_to cars_path
  end
end

app/helpers/application_helper.rb
module ApplicationHelper
end

app/helpers/cars_helper.rb
module CarsHelper
end

app/views/cars/index.html.erb
<div class="content">
  <h1 class='title'><%= Car.model_name.human(count: 2) %></h1>
  <table class="table">
    <thead>
      <tr>
        <th><%= t('activerecord.attributes.car.name') %></th>
        <th><%= Car.human_attribute_name(:brand) %></th>
        <th><%= Car.human_attribute_name(:created_at) %></th>
      </tr>
    </thead>
    <tbody>
      <% @cars.each do |car| %>
        <tr>
          <td><%= link_to car.name, car_path(car) %></td>
          <td><%= car.brand %></td>
          <td><%= l car.created_at, format: :short %></td>
        </tr>
      <% end %>
    </tbody>
  </table>
  <h5><%= I18n.translate('cars.index.cars_count', deep_interpolation: true, count: @cars.count) %></h5>
  <div class="footer">
    <%= link_to 'en-US', locale_path('en') , data: { turbo_method: :put } %> | <%= link_to 'pt-BR', locale_path('pt-BR') , data: { turbo_method: :put } %>
  </div>
</div>

app/views/cars/show.html.erb
<div class="box">
  <div class="title"><%= Car.model_name.human(count: 1) %> - <%= @car.name %></div>
  <ul>
    <li><strong><%= Car.human_attribute_name(:name) %></strong> - <%= @car.name %></li>
    <li><strong><%= Car.human_attribute_name(:brand) %></strong> - <%= @car.brand %></li>
    <li><strong><%= Car.human_attribute_name(:created_at) %></strong> - <%= l @car.created_at, format: :long %></li>
    <li><strong><%= Car.human_attribute_name(:updated_at) %></strong> - <%= l @car.updated_at, format: :long %></li>
  </ul>

  <div class="footer">
    <%= link_to t('defaults.back'), cars_path, class: 'button is-primary' %>
  </div>
</div>

app/views/layouts/application.html.erb
<!DOCTYPE html>
<html>
  <head>
    <title>IntExaple</title>
    <meta name="viewport" content="width=device-width,initial-scale=1">
    <%= csrf_meta_tags %>
    <%= csp_meta_tag %>

    <%= stylesheet_link_tag "application", "data-turbo-track": "reload" %>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bulma@0.9.4/css/bulma.min.css">
    <%= javascript_importmap_tags %>
  </head>

  <body>
    <div class="container">
        <%= yield %>
    </div>
  </body>
</html>